<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <PlatformTarget>AnyCPU</PlatformTarget>
        <Platforms>AnyCPU;x64</Platforms>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="MathNet.Numerics" Version="5.0.0"/>
        <PackageReference Include="Microsoft.AspNetCore.Mvc.Testing" Version="8.0.5"/>
        <PackageReference Include="Microsoft.Extensions.Configuration" Version="8.0.0"/>
        <PackageReference Include="Microsoft.NET.Test.Sdk" Version="17.9.0"/>
        <PackageReference Include="Microsoft.TestPlatform.AdapterUtilities" Version="17.9.0"/>
        <PackageReference Include="Moq" Version="4.20.70"/>
        <PackageReference Include="MSTest.TestAdapter" Version="3.3.1"/>
        <PackageReference Include="MSTest.TestFramework" Version="3.3.1"/>
        <PackageReference Include="xunit" Version="2.8.0"/>
        <PackageReference Include="xunit.runner.visualstudio" Version="2.8.0">
            <PrivateAssets>all</PrivateAssets>
            <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
        </PackageReference>
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\Managing.Api\Managing.Api.csproj"/>
        <ProjectReference Include="..\Managing.Application\Managing.Application.csproj"/>
        <ProjectReference Include="..\Managing.Common\Managing.Common.csproj"/>
        <ProjectReference Include="..\Managing.Core\Managing.Core.csproj"/>
        <ProjectReference Include="..\Managing.Domain\Managing.Domain.csproj"/>
        <ProjectReference Include="..\Managing.Infrastructure.Exchanges\Managing.Infrastructure.Exchanges.csproj"/>
        <ProjectReference Include="..\Managing.Infrastructure.Tests\Managing.Infrastructure.Tests.csproj"/>
    </ItemGroup>

    <ItemGroup>
        <Folder Include="Data\"/>
    </ItemGroup>

    <ItemGroup>
        <None Update="Data\candles.json">
            <CopyToOutputDirectory>Always</CopyToOutputDirectory>
        </None>
    </ItemGroup>

</Project>
